Name: libcss
Version: 0.5.0
Release: 2%{?dist}
Summary: A CSS parser and selection engine

Group: System Environment/Libraries
License: MIT
URL: http://www.netsurf-browser.org/projects/libcss/
Source: http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz

BuildRequires: netsurf-buildsystem >= 1.3
BuildRequires: pkgconfig(check)
BuildRequires: pkgconfig(libparserutils)
BuildRequires: pkgconfig(libwapcaplet)

%description
LibCSS is a CSS (Cascading Style Sheet) parser and selection engine,
written in C. It was developed as part of the NetSurf project. For
further details, see README.

Features:
* Parses CSS, good and bad
* Simple C API
* Low memory usage
* Fast selection engine
* Portable

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%global make_vars COMPONENT_TYPE=lib-shared PREFIX=%{_prefix} LIBDIR=%{_lib} Q=
%global build_vars OPTCFLAGS='%{optflags}' OPTLDFLAGS="$RPM_LD_FLAGS"

%prep
%autosetup -n %{name}-%{version} -p1

sed -i -e s@-Werror@@ Makefile

%build
make %{?_smp_mflags} %{make_vars} %{build_vars}

%install
make install DESTDIR=%{buildroot} %{make_vars}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%check
make %{?_smp_mflags} test %{make_vars} %{build_vars}

%files
%doc COPYING README
%{_libdir}/%{name}.so.*

%files devel
%doc docs/*
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 16 2015 David Tardon <dtardon@redhat.com> - 0.5.0-1
- new upstream release

* Mon Sep 01 2014 David Tardon <dtardon@redhat.com> - 0.4.0-1
- new upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 27 2014 David Tardon <dtardon@redhat.com> - 0.3.0-1
- new upstream release

* Mon Jan 13 2014 David Tardon <dtardon@redhat.com> - 0.2.0-3
- fix libcss.pc

* Wed Jan 08 2014 David Tardon <dtardon@redhat.com> - 0.2.0-2
- build with correct flags

* Wed Dec 25 2013 David Tardon <dtardon@redhat.com> - 0.2.0-1
- initial import
